Page MenuHomePhabricator

Media, Visualizations, and Layout at Wikidev'17
Closed, ResolvedPublic

Description

Type of activity: Pre-scheduled session.
Main topic: Handling wiki content beyond plaintext

The problem

We have a number of proposals on media, visualizations, and layout:

I am proposing to combine these in a single 70-minute session. As a first draft agenda, let's say not-more-than-10 minutes presentation for each of @cscott, @TheDJ, @brion, and @Yurik, and then 30 minutes of discussion with the goal of unifying them, identifying strong and weak points, and agreeing on next steps. Promising ideas might inspire an unconference breakout session.

Related Objects

Event Timeline

cscott created this task.Nov 29 2016, 10:07 PM
Restricted Application added a project: Commons. · View Herald TranscriptNov 29 2016, 10:07 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptNov 29 2016, 10:08 PM
Yurik added a comment.Nov 30 2016, 5:39 AM

I'm all for it, sounds like an awesome idea. @cscott thanks for organizing!

MarkTraceur moved this task from Untriaged to Tracking on the Multimedia board.Nov 30 2016, 6:45 PM
Qgil added a subscriber: Qgil.Dec 14 2016, 9:34 PM

Should these subtasks be merged?

cscott updated the task description. (Show Details)Jan 4 2017, 10:37 PM
Restricted Application added a project: Social-Tools. · View Herald TranscriptJan 4 2017, 10:37 PM
cscott added a comment.EditedJan 4 2017, 10:39 PM

Ok, let's do this. @TheDJ, @brion, and @Yurik, can I count on each of you to prepare not-more-than-10 minutes of discussion-starting material on your proposal? The idea here is to outline limitations of current media support and sketch brilliant ideas for the future. Then we can winnow these down / thrash them out in discussion, and hopefully identify some commonalities or near term priorities.

(As a rule of thumb, 10 minutes is 10 slides. If we use google docs to prepare the slides we can jam them all together in one document before hand.)

cscott renamed this task from Audio/Video/Media/Viz/Layout Session at Wikidev'17 to Media, Visualizations, and Layout at Wikidev'17.Jan 4 2017, 10:40 PM
Yurik added a comment.Jan 4 2017, 10:40 PM

Yep, already working on it.

TheDJ added a comment.Jan 5 2017, 9:01 AM

I can come up with some slides for SB, but likely not before Sunday evening. I think we are better off to merge any A/V topics into Cross-functional support for rich media. @brion what's your idea this ?

cscott added a comment.Jan 6 2017, 5:56 PM

@brion -- ping. Can you pull together 10-ish slides on T147604: Cross-functional support for rich media or A/V in general?

I'll write up no-more-than-10 slides on T90914: Provide semantic wiki-configurable styles for media display, and I'll count on @TheDJ to come up with roughly ten slides for StoryBuilder, and @Yurik to have roughly ten slides on visualizations.

SamanthaNguyen added a subscriber: SamanthaNguyen.

From my understanding, it seems like this is just related to Wikimedia Video's stuff, so I'm removing Video (non-WMF) since the name indicates otherwise, and the tag I mentioned is for an extension different from what Wikimedia uses to my knowledge. At the time this tag was included it was named Video, so I recently renamed it although I forgot to mention it here - hope that clears up the confusion, sorry about that! Social-Tools was auto-added only because Video (non-WMF) is an extension under the Social-Tools extension umbrella.

(Although if this is related to even media that includes third-party stuff, then feel free to re-add it - sorry for all the mess!)

To the owner of this session: Here is the link to the session guidelines page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We encourage you to recruit Note-taker(s) 2(min) and 3(max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be made available in all the session rooms. Good luck prepping, see you at the summit! :)

I put together a basic slide deck with slots for y'all. Feel free to stuff it with slides, @TheDJ, @brion, & @Yurik -- or not, if you'd prefer just to wing it orally or prepare slides some other way that's fine too.
https://docs.google.com/presentation/d/1teTKEsPADXixOWczW6FT6wZ4TwXQ_gh3EE-TWSMG3M4/edit?usp=sharing

cscott added a comment.Jan 9 2017, 4:08 PM

Looking good! @Yurik, I assume you'll do your section from your own machine?

Note-taker(s) of this session: Follow the instructions here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines#NOTE-TAKER.28S.29 After the session, DO NOT FORGET to copy the relevant notes and summary into a new wiki page following the template here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Your_Session and also link this from the All Session Notes page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/All_Session_Notes. The EtherPad links are also now linked from the Schedule page (https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Schedule) for you!

Thanks for the notes @MelodyKramer

Qgil removed a subscriber: Qgil.Jan 15 2017, 5:49 PM

@cscott are there any actionable items from this session? If not should I close this task as resolved?

Aklapper assigned this task to cscott.Jul 12 2017, 11:07 AM

https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Media,_Visualizations,_and_Layout lists some items (though no action items).
No idea if anything else needs to be turned into tasks, apart from those tasks already listed in the task description.
Assinging to @cscott as faciliator for followup.

Aklapper closed this task as Resolved.Jan 22 2018, 3:37 PM

Closing, assuming this task has served its purpose a year ago.